## Codepoint List

Codepoint List — UnicodeCodepointList implementation

## Functions

FontManagerCodepointList * | font_manager_codepoint_list_new ()
void | font_manager_codepoint_list_set_filter ()
void | font_manager_codepoint_list_set_font ()

## Properties

JsonObject * | font | Write

## Types and Values

#define | FONT_MANAGER_TYPE_CODEPOINT_LIST
| FontManagerCodepointList

## Object Hierarchy

        GObject
        ╰── FontManagerCodepointList

## Implemented Interfaces

FontManagerCodepointList implements UnicodeCodepointList.

## Includes

    #include <font-manager-codepoint-list.h>

## Description

Codepoint list which limits results to available characters in the selected font.

## Functions

### font_manager_codepoint_list_new ()

    FontManagerCodepointList *
    font_manager_codepoint_list_new (void);

Creates a new codepoint list

#### Returns

the newly-created FontManagerCodepointList. Use `g_object_unref()` to free the result.

[transfer full]

### font_manager_codepoint_list_set_filter ()

    void
    font_manager_codepoint_list_set_filter
                                   (FontManagerCodepointList *self,
                                    GList *filter);

When a filter is set only codepoints which are actually present in the filter will be used.

#### Parameters

self | FontManagerCodepointList |
filter | GList containing codepoints. | [element-type uint][transfer full][nullable]

### font_manager_codepoint_list_set_font ()

    void
    font_manager_codepoint_list_set_font (FontManagerCodepointList *self,
                                          JsonObject *font);

Updates the codepoint list to contain only codepoints actually present in `font` .

#### Parameters

self | FontManagerCodepointList |
font | JsonObject. | [transfer none][nullable]

## Types and Values

### FONT_MANAGER_TYPE_CODEPOINT_LIST

    #define FONT_MANAGER_TYPE_CODEPOINT_LIST (font_manager_codepoint_list_get_type())

### FontManagerCodepointList

    typedef struct _FontManagerCodepointList FontManagerCodepointList;

## Property Details

### The `“font”` property

      “font”                     JsonObject *

Updates the codepoint list to contain only codepoints actually present in `font` .

[transfer none]

Owner: FontManagerCodepointList

Flags: Write